require 'Items/SuburbsDistributions'
require 'Items/ProceduralDistributions'
require 'Vehicles/VehicleDistributions'

------------------------------ Handy Craft Magazine Vol. 1 ------------------------------

-- All (General)
table.insert(SuburbsDistributions["all"]["shelvesmag"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["all"]["shelvesmag"].items, 0.2);
table.insert(SuburbsDistributions["all"]["postbox"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["all"]["postbox"].items, 0.2);
table.insert(SuburbsDistributions["all"]["sidetable"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["all"]["sidetable"].items, 0.7);
table.insert(SuburbsDistributions["all"]["shelves"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["all"]["shelves"].items, 1);

-- Bookstore
table.insert(SuburbsDistributions["bookstore"]["other"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["bookstore"]["other"].items, 1);

-- Post Office Storage
table.insert(SuburbsDistributions["poststorage"]["all"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["poststorage"]["all"].items, 0.5);

-- Shed
table.insert(SuburbsDistributions["shed"]["other"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["shed"]["other"].items, 0.5);

-- Garage
table.insert(SuburbsDistributions["garagestorage"]["other"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["garagestorage"]["other"].items, 0.5);
table.insert(SuburbsDistributions["garage"]["metal_shelves"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["garage"]["metal_shelves"].items, 0.5);

-- Toolstore
table.insert(SuburbsDistributions["toolstore"]["shelves"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["toolstore"]["shelves"].items, 0.2);

-- Mechanic Shelves
table.insert(SuburbsDistributions["mechanic"]["wardrobe"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["mechanic"]["wardrobe"].items, 0.3);
table.insert(SuburbsDistributions["mechanic"]["metal_shelves"].items, "HandyRecipes.MagHandyCraft1");
table.insert(SuburbsDistributions["mechanic"]["metal_shelves"].items, 0.2);

-- Cars
table.insert(VehicleDistributions.MetalWelder.GloveBox.items, "HandyRecipes.MagHandyCraft1");
table.insert(VehicleDistributions.MetalWelder.GloveBox.items, 2);
table.insert(VehicleDistributions.Postal.TruckBed.items, "HandyRecipes.MagHandyCraft1");
table.insert(VehicleDistributions.Postal.TruckBed.items, 1);

------------------------------ Handy Craft Magazine Vol. 2 ------------------------------

-- All (General)
table.insert(SuburbsDistributions["all"]["shelvesmag"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["all"]["shelvesmag"].items, 0.2);
table.insert(SuburbsDistributions["all"]["postbox"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["all"]["postbox"].items, 0.2);
table.insert(SuburbsDistributions["all"]["sidetable"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["all"]["sidetable"].items, 0.7);
table.insert(SuburbsDistributions["all"]["shelves"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["all"]["shelves"].items, 1);

-- Bookstore
table.insert(SuburbsDistributions["bookstore"]["other"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["bookstore"]["other"].items, 1);

-- Post Office Storage
table.insert(SuburbsDistributions["poststorage"]["all"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["poststorage"]["all"].items, 0.5);

-- Shed
table.insert(SuburbsDistributions["shed"]["other"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["shed"]["other"].items, 0.5);

-- Garage
table.insert(SuburbsDistributions["garagestorage"]["other"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["garagestorage"]["other"].items, 0.5);
table.insert(SuburbsDistributions["garage"]["metal_shelves"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["garage"]["metal_shelves"].items, 0.5);

-- Stores
table.insert(SuburbsDistributions["cornerstore"]["shelvesmag"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["cornerstore"]["shelvesmag"].items, 0.2);
table.insert(SuburbsDistributions["zippeestore"]["shelvesmag"].items, "HandyRecipes.MagHandyCraft2");
table.insert(SuburbsDistributions["zippeestore"]["shelvesmag"].items, 0.5);

-- Cars
table.insert(VehicleDistributions.Postal.TruckBed.items, "HandyRecipes.MagHandyCraft2");
table.insert(VehicleDistributions.Postal.TruckBed.items, 1);

------------------------------ Handy Craft Magazine Vol. 3 ------------------------------

-- All (General)
table.insert(SuburbsDistributions["all"]["shelvesmag"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["all"]["shelvesmag"].items, 0.2);
table.insert(SuburbsDistributions["all"]["postbox"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["all"]["postbox"].items, 0.2);
table.insert(SuburbsDistributions["all"]["sidetable"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["all"]["sidetable"].items, 0.7);
table.insert(SuburbsDistributions["all"]["shelves"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["all"]["shelves"].items, 1);

-- Bookstore
table.insert(SuburbsDistributions["bookstore"]["other"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["bookstore"]["other"].items, 1);

-- Post Office Storage
table.insert(SuburbsDistributions["poststorage"]["all"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["poststorage"]["all"].items, 0.5);

-- Shed
table.insert(SuburbsDistributions["shed"]["other"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["shed"]["other"].items, 0.5);

-- Garage
table.insert(SuburbsDistributions["garagestorage"]["other"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["garagestorage"]["other"].items, 0.5);
table.insert(SuburbsDistributions["garage"]["metal_shelves"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["garage"]["metal_shelves"].items, 0.5);

-- Stores
table.insert(SuburbsDistributions["cornerstore"]["shelvesmag"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["cornerstore"]["shelvesmag"].items, 0.2);
table.insert(SuburbsDistributions["zippeestore"]["shelvesmag"].items, "HandyRecipes.MagHandyCraft3");
table.insert(SuburbsDistributions["zippeestore"]["shelvesmag"].items, 0.5);

-- Vehicles
table.insert(VehicleDistributions.Postal.TruckBed.items, "HandyRecipes.MagHandyCraft3");
table.insert(VehicleDistributions.Postal.TruckBed.items, 1);
